Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn.commons.core.v3
Class NationalitiesType

    java.lang.Object
      be.fgov.ehealth.consultrn.commons.core.v3.NationalitiesType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2020-03-19T04:21:54+01:00",
               comments="JAXB RI v2.2.11")
    public class NationalitiesType

extends Object
implements Serializable

List of nationalities

Java class for NationalitiesType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="NationalitiesType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Nationality" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}NationalityType" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`NationalitiesType()`

Method Summary
`List<NationalityType>` | `getNationalities()` Gets the value of the nationalities property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NationalitiesType

    public NationalitiesType()

Method Detail

### getNationalities

    public List<NationalityType> getNationalities()

  Gets the value of the nationalities property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the nationalities property.

  For example, to add a new item, do as follows:

          getNationalities().add(newItem);

  Objects of the following type(s) are allowed in the list `NationalityType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.19.1 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.